Bug 41329 - ntpd does not synchronize to the servers
Summary: ntpd does not synchronize to the servers
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ntp   
(Show other bugs)
Version: 7.0
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-18 21:32 UTC by C. Ray Ng
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-05 15:30:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description C. Ray Ng 2001-05-18 21:32:48 UTC
Description of Problem: 

The lastest ntp-4.0.99k-15 running on RH7.0 does not synchronize to their
peers. 
Sometime syslog shows error message that might or might not be related:
ntpd[16481]: select(7, ###----, 0L, 0L, &0.000000) error: Interrupted
system call

ntpdc has similar problem of getting peer information, it complains about:
*** Server reports data not found

How Reproducible:

Problem shows up only on RH7.0, but not on RH6.2 which is running
xntp3-5.93-15.
It is reproducible all on kernel 2.2.17-14 and 2.2.19-7.0.
It is also reproducible on the Linux/Alpha nodes.

Steps to Reproduce:
1.  Any RH7.0 setup
2.  update ntp-4.0.99k-15 as suggested from RH security advisories,
2001-04-08.
3.  quick check with ntpdc->sysinfo.

Actual Results:

ntpdc> sysinfo
system peer:          0.0.0.0
system peer mode:     unspec
leap indicator:       11
stratum:              16
precision:            -17
root distance:        0.00000 s
root dispersion:      41.41754 s
reference ID:         [0.0.0.0]
reference time:       00000000.00000000  Thu, Feb  7 2036  1:28:16.000
system flags:         bclient auth monitor ntp kernel stats kernel_sync 
jitter:               0.000000 s
stability:            0.000 ppm
broadcastdelay:       0.003998 s
authdelay:            0.000000 s


Expected Results:

Non-zero values from entries:
system peer:
root distance:
reference ID:
reference time:
stability:
authdelay:

etc.

Additional Information:

Comment 1 Harald Hoyer 2001-06-05 10:00:50 UTC
try to remove multicastclient from /etc/ntp.conf


Comment 2 C. Ray Ng 2001-06-05 15:30:44 UTC
We didn't use the keyword "multicastclient"  in our ntp.conf.

But we did remove the line with:
broadcastclient  yes

and replaced the lines for the time servers:
restrict  <ip-of-server1>
restrict  <ip-of-server2>
restrict  <ip-of-server3>

with:
server <ip-of-server1>
server <ip-of-server2>
server <ip-of-server3>

And all seem to work okay now.



Note You need to log in before you can comment on or make changes to this bug.